SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001500SiT!portalpublic2011-04-29 21:522011-06-18 17:51
ReporterTomse 
Assigned Toivan 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformBSDOSFreeBSDOS Version6.4+Later
Product Version3.63p1 
Target Version3.90beta1Fixed in VersionCurrent GIT 
Summary0001500: portal kbarticle.php doesn't have a menu bar
Descriptionportal kbarticle.php doesn't have a menu bar
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
User avatar (0003765)
paulh (administrator)
2011-04-30 17:42

This only happens if you have $CONFIG['portal_kb_enabled'] set to public as we don't enforce authentication in this case.

This was by designed, though I can see its possibly confusing, its been like this for along time. Not sure if we want to change?
User avatar (0004008)
ivan (administrator)
2011-06-15 17:46

When viewing the public KB there's no link to return to the login page so I think at least for that function there should be a menu bar.

When viewing the KB from within the portal when the public KB is enabled I think we need to show the portal menu. I realise that will make some complex code probably, but as a user thats what i'd expect to happen.
User avatar (0004050)
ivan (administrator)
2011-06-18 17:51

Fixed in Git 096d317

- Issue History
Date Modified Username Field Change
2011-04-29 21:52 Tomse New Issue
2011-04-30 17:42 paulh Note Added: 0003765
2011-04-30 17:42 paulh Status new => acknowledged
2011-06-15 17:46 ivan Note Added: 0004008
2011-06-15 17:46 ivan Status acknowledged => confirmed
2011-06-15 17:47 ivan Target Version => 3.90beta1
2011-06-18 17:50 ivan Assigned To => ivan
2011-06-18 17:50 ivan Status confirmed => assigned
2011-06-18 17:51 ivan Note Added: 0004050
2011-06-18 17:51 ivan Status assigned => resolved
2011-06-18 17:51 ivan Fixed in Version => Current GIT
2011-06-18 17:51 ivan Resolution open => fixed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker